Rygel.RelationalExpression – librygel-server Reference Manual

# RelationalExpression

## Object Hierarchy:

## Description:

public class RelationalExpression : SearchExpression<SearchCriteriaOp,string,string>

This is a parsed UPnP search expression consisting of two strings joined by a relational operator such as such <, <=, ==, !=, >, >=, derivedFrom or exists.

Namespace: Rygel
Package: librygel-server

## Content:

### Creation methods:

- public RelationalExpression ()

### Methods:

- public override bool satisfied_by (MediaObject media_object)
- public override string to_string ()
- public bool compare_string (string? str)
- public bool compare_int (int integer)
- public bool compare_uint (uint integer)

### Inherited Members:

All known members inherited from class Rygel.SearchExpression

- satisfied_by
- to_string

- op
- operand1

- operand2